summaryrefslogtreecommitdiffstats
path: root/office/evince/evince.SlackBuild
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-13 01:00:31 +0200
committer Robby Workman2010-05-13 01:00:31 +0200
commit058d1a6f460be9febfac1846021f74dc84d81d08 (patch)
treebaa094b596c93c88503cdba017b90dcd80b50d82 /office/evince/evince.SlackBuild
parent4db9c3ab0a7f46674ba298caab2e8a125be539e4 (diff)
downloadslackbuilds-058d1a6f460be9febfac1846021f74dc84d81d08.tar.gz
office/evince: Added to 13.0 repository
Diffstat (limited to 'office/evince/evince.SlackBuild')
-rw-r--r--office/evince/evince.SlackBuild131
1 files changed, 131 insertions, 0 deletions
diff --git a/office/evince/evince.SlackBuild b/office/evince/evince.SlackBuild
new file mode 100644
index 0000000000..0213ee19d2
--- /dev/null
+++ b/office/evince/evince.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Slackware build script for evince
+
+# Copyright 2009 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2009, Michiel van Wessem, Manchester, United Kingdom.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=evince
+VERSION=${VERSION:-2.26.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+
+NLS=${NLS:-YES}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 7177 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+if [ "NLS" != "YES" ]; then
+ # disable NLS - we're going for a small package here.
+ rm po/*.po
+ sed -i -e 's/USE_NLS=yes/USE_NLS=no/g' \
+ -e 's/ENABLE_NLS 1/ENABLE_NLS 0/g' configure
+fi
+
+# Remove some hard deps that aren't :-)
+patch -p1 < $CWD/rem_unused_makedeps.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --without-keyring \
+ --without-gconf \
+ --enable-dbus \
+ --enable-pdf \
+ --enable-tiff \
+ --enable-djvu \
+ --enable-t1lib \
+ --enable-pixbuf \
+ --enable-comics \
+ --enable-impress \
+ --disable-dvi \
+ --disable-static \
+ --disable-schemas-install \
+ --disable-scrollkeeper \
+ --disable-nautilus \
+ --disable-introspection \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Fix desktop entry
+sed -i "/NoDisplay=true/d" $PKG/usr/share/applications/evince.desktop
+
+# I thought we told you not to install these - that means we don't want
+# them AT ALL, and certainly not incorrectly placed... sheesh.
+rm -rf $PKG/*.schemas
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -rf $PKG/{usr/share/gtk-doc,etc}
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}